curl --request PUT \
--url https://platform.dev.timeback.com/case/1.1/CFDocuments/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"uri": "<string>",
"creator": "<string>",
"title": "<string>",
"caseVersion": "1.1",
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"frameworkType": "<string>",
"officialSourceURL": "<string>",
"publisher": "<string>",
"description": "<string>",
"subject": [
"<string>"
],
"subjectURI": [
{
"title": "<string>",
"identifier": "<string>",
"uri": "<string>"
}
],
"language": "<string>",
"version": "<string>",
"adoptionStatus": "<string>",
"statusStartDate": "2023-12-25",
"statusEndDate": "2023-12-25",
"notes": "<string>",
"extensions": {}
}
'import requests
url = "https://platform.dev.timeback.com/case/1.1/CFDocuments/{sourcedId}"
payload = {
"identifier": "<string>",
"uri": "<string>",
"creator": "<string>",
"title": "<string>",
"caseVersion": "1.1",
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"frameworkType": "<string>",
"officialSourceURL": "<string>",
"publisher": "<string>",
"description": "<string>",
"subject": ["<string>"],
"subjectURI": [
{
"title": "<string>",
"identifier": "<string>",
"uri": "<string>"
}
],
"language": "<string>",
"version": "<string>",
"adoptionStatus": "<string>",
"statusStartDate": "2023-12-25",
"statusEndDate": "2023-12-25",
"notes": "<string>",
"extensions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: '<string>',
uri: '<string>',
creator: '<string>',
title: '<string>',
caseVersion: '1.1',
lastChangeDateTime: '2023-11-07T05:31:56Z',
frameworkType: '<string>',
officialSourceURL: '<string>',
publisher: '<string>',
description: '<string>',
subject: ['<string>'],
subjectURI: [{title: '<string>', identifier: '<string>', uri: '<string>'}],
language: '<string>',
version: '<string>',
adoptionStatus: '<string>',
statusStartDate: '2023-12-25',
statusEndDate: '2023-12-25',
notes: '<string>',
extensions: {}
})
};
fetch('https://platform.dev.timeback.com/case/1.1/CFDocuments/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"imsx_codeMajor": "success",
"imsx_severity": "status",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "fullsuccess"
}
]
}
}{
"imsx_codeMajor": "success",
"imsx_severity": "status",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "fullsuccess"
}
]
}
}Create or update a document
Creates a new document or updates an existing one with the given sourcedId
Authorizations
OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.
Path Parameters
Unique identifier of the CASE entity
Body
A CASE document
The unique identifier for this document
URI that identifies this CASE entity
The creator of the document
The title of the document
The CASE version for the CFDocument. Currently, the only expected value is 1.1 since this field does not exist for previous versions
1.1 Date/time when the entity was last modified
Specify the framework type of the CFDocument
URL of the official source of this document
The publisher of the document
A human readable description of the document
List of subjects covered by this document
List of subject references for this document
Show child attributes
Show child attributes
Language code for this document
Version of the document
Current adoption status of the document
Start date of the current status
End date of the current status
A generic link type containing identifier, uri and title
Show child attributes
Show child attributes
Additional notes about the document
Additional properties for the document
A generic link type containing identifier, uri and title
Show child attributes
Show child attributes
Response
Successful operation